data:extend(
{
  {
    type = "generator-equipment",
    name = "fusion-reactor-equipment-5",
    sprite = 
    {
      filename = "__BigBob__/graphics/equipment/fusion-reactor-equipment-5.png",
      width = 128,
      height = 128,
      priority = "medium"
    },
    shape =
    {
      width = 4,
      height = 4,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "primary-output"
    },
    power = "2000kW"
  },
  {
    type = "solar-panel-equipment",
    name = "solar-panel-equipment-5",
    sprite = 
    {
      filename = "__BigBob__/graphics/equipment/solar-panel-equipment-5.png",
      width = 32,
      height = 32,
      priority = "medium"
    },
    shape =
    {
      width = 1,
      height = 1,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "primary-output"
    },
    power = "10kW"
  },
  {
    type = "energy-shield-equipment",
    name = "energy-shield-mk7-equipment",
    max_shield_value = 4800,
    energy_per_shield = "2kJ",
    energy_source =
    {
      type = "electric",
      buffer_capacity = "48kJ",
      input_flow_limit = "96kW",
      usage_priority = "primary-input"
    },
    shape =
    {
      width = 2,
      height = 2,
      type = "full"
    },
    sprite = 
    {
      filename = "__BigBob__/graphics/equipment/energy-shield-mk7-equipment.png",
      width = 64,
      height = 64,
      priority = "medium"
    },
  },
  {
    type = "battery-equipment",
    name = "battery-mk7-equipment",
    sprite = 
    {
      filename = "__BigBob__/graphics/equipment/battery-mk7-equipment.png",
      width = 32,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 1,
      height = 2,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      buffer_capacity = "40MJ",
      input_flow_limit = "400MW",
      output_flow_limit = "400MW",
      usage_priority = "terciary"
    }
  },
  {
    type = "battery-equipment",
    name = "battery-mk8-equipment",
    sprite = 
    {
      filename = "__BigBob__/graphics/equipment/battery-mk8-equipment.png",
      width = 32,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 1,
      height = 2,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      buffer_capacity = "100MJ",
      input_flow_limit = "1000MW",
      output_flow_limit = "1000MW",
      usage_priority = "terciary"
    }
  },
  {
    type = "active-defense-equipment",
    name = "basic-laser-defense-equipment-7",
    sprite =
    {
      filename = "__BigBob__/graphics/equipment/basic-laser-defense-equipment-7.png",
      width = 64,
      height = 96,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 3,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      buffer_capacity = "250kJ"
    },
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "electric",
      cooldown = 5,
      damage_modifier = 10,
      projectile_center = {0, 0},
      projectile_creation_distance = 0.6,
      range = 30,
      sound = make_laser_sounds(),
      ammo_type =
      {
        type = "projectile",
        category = "electric",
        energy_consumption = "25kJ",
        projectile = "laser",
        speed = 1,
        action =
        {
          {
            type = "direct",
            action_delivery =
            {
              {
                type = "projectile",
                projectile = "laser",
                starting_speed = 0.28
              }
            }
          }
        }
      }
    },
    automatic = true
  },




  {
    type = "roboport-equipment",
    name = "personal-roboport-equipment-mk2",
    take_result = "personal-roboport-equipment-mk2",
    sprite =
    {
      filename = "__BigBob__/graphics/equipment/personal-roboport-equipment-mk2.png",
      width = 64,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 2,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      buffer_capacity = "35MJ",
      input_flow_limit = "3500KW",
      usage_priority = "secondary-input"
    },
    charging_energy = "1000kW",
    energy_consumption = "20kW",

    robot_limit = 50,
    construction_radius = 30,
    spawn_and_station_height = 0.4,
    charge_approach_distance = 2.6,

    radius_visualisation_picture =
    {
      filename = "__base__/graphics/entity/roboport/roboport-radius-visualization.png",
      width = 12,
      height = 12
    },
    construction_radius_visualisation_picture =
    {
      filename = "__base__/graphics/entity/roboport/roboport-construction-radius-visualization.png",
      width = 12,
      height = 12
    },

    recharging_animation =
    {
      filename = "__base__/graphics/entity/roboport/roboport-recharging.png",
      priority = "high",
      width = 37,
      height = 35,
      frame_count = 16,
      scale = 1.5,
      animation_speed = 0.5
    },
    recharging_light = {intensity = 0.4, size = 5},
    stationing_offset = {0, -0.6},
    charging_station_shift = {0, 0.5},
    charging_station_count = 10,
    charging_distance = 2,
    charging_threshold_distance = 5
  },
  {
    type = "roboport-equipment",
    name = "personal-roboport-equipment-mk3",
    take_result = "personal-roboport-equipment-mk3",
    sprite =
    {
      filename = "__BigBob__/graphics/equipment/personal-roboport-equipment-mk3.png",
      width = 64,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 2,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      buffer_capacity = "175MJ",
      input_flow_limit = "17500KW",
      usage_priority = "secondary-input"
    },
    charging_energy = "5000kW",
    energy_consumption = "100kW",

    robot_limit = 100,
    construction_radius = 60,
    spawn_and_station_height = 0.4,
    charge_approach_distance = 2.6,

    radius_visualisation_picture =
    {
      filename = "__base__/graphics/entity/roboport/roboport-radius-visualization.png",
      width = 12,
      height = 12
    },
    construction_radius_visualisation_picture =
    {
      filename = "__base__/graphics/entity/roboport/roboport-construction-radius-visualization.png",
      width = 12,
      height = 12
    },

    recharging_animation =
    {
      filename = "__base__/graphics/entity/roboport/roboport-recharging.png",
      priority = "high",
      width = 37,
      height = 35,
      frame_count = 16,
      scale = 1.5,
      animation_speed = 0.5
    },
    recharging_light = {intensity = 0.4, size = 5},
    stationing_offset = {0, -0.6},
    charging_station_shift = {0, 0.5},
    charging_station_count = 50,
    charging_distance = 3,
    charging_threshold_distance = 5
  },

  {
    type = "movement-bonus-equipment",
    name = "basic-exoskeleton-equipment-4",
    sprite = 
    {
      filename = "__base__/graphics/equipment/basic-exoskeleton-equipment.png",
      width = 64,
      height = 128,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 4,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    energy_consumption = "5kW",
    movement_bonus = 2
  },






})
