data:extend(
{
  {
    type = "technology",
    name = "fusion-reactor-equipment-5",
    icon = "__BigBob__/graphics/icons/technology/fusion-reactor-equipment-5.png",
    upgrade = "true",
    order = "g-l-e",
    prerequisites = {"fusion-reactor-equipment-4"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "fusion-reactor-equipment-5"
      }
    },
    unit =
    {
      count = 400,
      time = 45,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 1},
      },
    },
  },

  {
    type = "technology",
    name = "solar-panel-equipment-5",
    icon = "__BigBob__/graphics/icons/solar-panel-equipment-5.png",
    upgrade = "true",
    order = "g-k-e",
    prerequisites =
    {
      "solar-panel-equipment-4",
      "advanced-electronics-3",
      "nitinol-processing",
      "electrum-processing",
      "tungsten-alloy-processing",
    },
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "solar-panel-equipment-5"
      }
    },
    unit =
    {
      count = 200,
      time = 45,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 1},
      },
    },
  },

  {
    type = "technology",
    name = "energy-shield-equipment-7",
    icon = "__BigBob__/graphics/icons/technology/energy-shield-mk7-equipment.png",
    upgrade = "true",
    order = "g-e-g",
    prerequisites =
    {
      "energy-shield-equipment-6"
    },
    unit =
    {
      count = 350,
      time = 45,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 1},
      },
    },
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "energy-shield-mk7-equipment"
      }
    },
  },

  {
    type = "technology",
    name = "battery-equipment-7",
    icon = "__BigBob__/graphics/icons/technology/battery-mk7-equipment.png",
    upgrade = "true",
    order = "g-i-g",
    prerequisites =
    {
      "battery-equipment-6"
    },
    unit =
    {
      count = 300,
      time = 45,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 1},
      },
    },
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "battery-mk7-equipment"
      }
    },
  },
  {
    type = "technology",
    name = "battery-equipment-8",
    icon = "__BigBob__/graphics/icons/technology/battery-mk8-equipment.png",
    upgrade = "true",
    order = "g-i-h",
    prerequisites =
    {
      "battery-equipment-7"
    },
    unit =
    {
      count = 350,
      time = 45,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 1},
      },
    },
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "battery-mk8-equipment"
      }
    },
  },

  {
    type = "technology",
    name = "basic-laser-defense-equipment-7",
    icon = "__BigBob__/graphics/icons/technology/basic-laser-defense-equipment-7.png",
    order = "g-m-c",
    upgrade = "true",
    prerequisites =
    {
      "basic-laser-defense-equipment-6",
    },
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "basic-laser-defense-equipment-7"
      }
    },
    unit =
    {
      count = 400,
      time = 30,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 1},
      },
    },
  },

  {
    type = "technology",
    name = "personal-roboport-equipment-mk2",
    icon = "__BigBob__/graphics/icons/technology/personal-roboport-equipment-mk2.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "personal-roboport-equipment-mk2"
      },
    },
    prerequisites =
    {
      "personal-roboport-equipment",
      "titanium-processing"
    },
    unit = {
      count = 100,
      ingredients = {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
	{"alien-science-pack", 1},
      },
      time = 30
    },
    order = "c-k-d-zz",
  },
  {
    type = "technology",
    name = "personal-roboport-equipment-mk3",
    icon = "__BigBob__/graphics/icons/technology/personal-roboport-equipment-mk3.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "personal-roboport-equipment-mk3"
      },
    },
    prerequisites =
    {
      "personal-roboport-equipment-mk2",
      "nitinol-processing"
    },
    unit = {
      count = 150,
      ingredients = {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
	{"alien-science-pack", 1},
      },
      time = 30
    },
    order = "c-k-d-zz",
  },

  {
    type = "technology",
    name = "basic-exoskeleton-equipment-4",
    icon = "__base__/graphics/technology/basic-exoskeleton-equipment.png",
    order = "g-h-d",
    upgrade = "true",
    prerequisites =
    {
      "basic-exoskeleton-equipment-3",
      "tungsten-processing",
      "ceramics"
    },
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "basic-exoskeleton-equipment-4"
      }
    },
    unit =
    {
      count = 200,
      time = 30,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 1},
      },
    },
  },


})
